using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IRoomServiceRepository : IRepository<RoomService>
	{
		IList<RoomService> LoadAllByPage(out long total, int page, int rows, string order, string sort, string roomNumber, string startTime, string endTime, string[] services);

        IList<object[]> LoadCurrentRoomServices(int hotelID, IList<int> groupIDs);

        IList<object[]> LoadCurrentRoomAbnormities(int hotelID, IList<int> groupIDs);

        DataTable LoadCurrentRoomServicesOrAbnormitiesCount(int hotelID, int groupID, DeviceType deviceType);

		IList<RoomService> LoadAll(int hostID);

		RoomService Get(int hostID, string alarmCode);
	}
}
